library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity demux is
    Port ( clk: in std_logic;
           reset_n: in std_logic;
           datain: in std_logic;
           ctrl_in: in std_logic_vector(6 downto 0);
           addr: in std_logic_vector(2 downto 0);
           dataout: out std_logic_vector(15 downto 0)
           );            
end demux;



architecture behavioral of demux is


signal enable: std_logic;

begin


-- enable control

process (clk,reset_n)
begin
	if reset_n = '0' then		
       enable <= '0';
     elsif clk'event and clk = '1' then
	   if ctrl_in(6 downto 4) = addr(2 downto 0) then
	      enable <= '1';
	      else
	        enable  <= '0';	  
	    end if;
	end if;
end process;


demux_main: process (datain, ctrl_in(3 downto 0))
begin
	case (enable & ctrl_in(3 downto 0)) is
		when "10000" =>  dataout <= (x"000" & "000"  & datain);
		when "10001" =>  dataout <= (x"000" & "00"   & datain & '0');        
		when "10010" =>  dataout <= (x"000" & '0'    & datain & "00");
		when "10011" =>  dataout <= (x"000" & datain & "000");
		
		when "10100" =>  dataout <= (x"00"  & "000"  & datain &        x"0");
		when "10101" =>  dataout <= (x"00"  & "00"   & datain & '0'  & x"0");
		when "10110" =>  dataout <= (x"00"  & '0'    & datain & "00" & x"0");
		when "10111" =>  dataout <= (x"00"  & datain & "000"  &        x"0");
		
		when "11000" =>  dataout <= (x"0"   & "000"  & datain &        x"00");
		when "11001" =>  dataout <= (x"0"   & "00"   & datain & '0'  & x"00");                  
		when "11010" =>  dataout <= (x"0"   & '0'    & datain & "00" & x"00");
		when "11011" =>  dataout <= (x"0"   & datain & "000"  &        x"00");
		
		when "11100" =>  dataout <= ("000"  & datain &        x"000");
		when "11101" =>  dataout <= ("00"   & datain & '0'  & x"000");
		when "11110" =>  dataout <= ('0'    & datain & "00" & x"000");
		when "11111" =>  dataout <= (datain & "000"  &        x"000");	
		when others =>   dataout <= (x"0000");			
      end case;
end process;



end behavioral;