# Display signals from module uart_0
add wave -noupdate -divider {uart_0}
add wave -noupdate -divider {  Bus Interface}
add wave -noupdate -format Logic /test_bench/DUT/the_uart_0/chipselect
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_uart_0/address
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_uart_0/writedata
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_uart_0/readdata
add wave -noupdate -divider {  Internals}
add wave -noupdate -format Logic /test_bench/DUT/the_uart_0/tx_ready
add wave -noupdate -format Literal -radix ascii /test_bench/DUT/the_uart_0/tx_data
add wave -noupdate -format Logic /test_bench/DUT/the_uart_0/rx_char_ready
add wave -noupdate -format Literal -radix ascii /test_bench/DUT/the_uart_0/rx_data


# Display signals from module jtag_uart_0
add wave -noupdate -divider {jtag_uart_0}
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_jtag_uart_0/av_address
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/av_chipselect
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/av_irq
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/av_read_n
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_jtag_uart_0/av_readdata
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/av_waitrequest
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/av_write_n
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_jtag_uart_0/av_writedata
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/dataavailable
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart_0/readyfordata


# Display signals from module cpu_0
add wave -noupdate -divider {cpu_0}
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_irq
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_address
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_byteenable
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_read
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_readdata
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_write
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/d_writedata
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/i_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/i_address
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/i_read
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/i_readdata
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/the_cpu_0_test_bench/F_pcb
add wave -noupdate -format Logic -radix ascii /test_bench/DUT/the_cpu_0/the_cpu_0_test_bench/W_vinst
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/the_cpu_0_test_bench/W_valid
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu_0/the_cpu_0_test_bench/D_iw


# Display signals from module cy7c1041cv33_0
add wave -noupdate -divider {cy7c1041cv33_0}
add wave -noupdate -divider {cy7c1041cv33/global_signals}
add wave -noupdate -format Logic /test_bench/DUT/the_cy7c1041cv33_0/clk
add wave -noupdate -divider {cy7c1041cv33/avalon_tristate_slave_0}
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_cy7c1041cv33_0/addr
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_cy7c1041cv33_0/data
add wave -noupdate -format Logic /test_bench/DUT/the_cy7c1041cv33_0/write_n
add wave -noupdate -format Logic /test_bench/DUT/the_cy7c1041cv33_0/read_n
add wave -noupdate -format Logic /test_bench/DUT/the_cy7c1041cv33_0/chipsel_n
add wave -noupdate -format Logic /test_bench/DUT/the_cy7c1041cv33_0/byteenable_n


# Display signals from module vector
add wave -noupdate -divider {vector}
add wave -noupdate -format Logic /test_bench/DUT/the_vector/chipselect
add wave -noupdate -format Logic /test_bench/DUT/the_vector/write
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_vector/address
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_vector/byteenable
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_vector/readdata
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_vector/writedata


configure wave -justifyvalue right
configure wave -signalnamewidth 1
TreeUpdate [SetDefaultTree]